Accueil / Articles / e-commerce / mise à jour manuelle de PrestaShop : comment faire ?

mise à jour manuelle de PrestaShop : comment faire ?

Vous devez procéder à une mise à jour de votre site PrestaShop, mais vous avez peur de rater une étape ?
Vous n’avez pas envie d’utiliser la toute récente fonction de mise à jour automatique apparue dans la version 1.4.4.0 de PrestaShop ?

Voici un petit tutoriel sur la manière dont je procède pour mettre rapidement une boutique PrestaShop à jour :
[list type=”check”]

  • Je récupère la version de PrestaShop vers laquelle je souhaite évoluer, ici ou
  • Je dézippe le fichier récupéré dans un répertoire
  • Je renomme le répertoire “/admin” par le nom du répertoire équivalent sur mon site
  • Je supprime le fichier CHANGELOG.txt et les fichiers readme_XX.txt à la racine (ou tout le répertoire /docs depuis la 1.4.5.1), ce qui permettrait de connaître précisément la version de PrestaShop que j’utilise… autant donner le moins d’informations possibles à un individu mal intentionné
  • Je supprime le fichier sitemap.xml à la racine, pour ne pas écraser celui existant
  • Je supprime les fichiers readme à la racine (ou dans /docs depuis la 1.4.5.1)
  • Je supprime les images des répertoires /img/c, /img/m, /img/p, /img/scenes, /img/st, /img/su (je ne vends pas des iPod !)
  • Je supprime le fichier /img/logo.jpg et favicon.ico pour ne pas écraser mon logo et mon icône.
  • Je supprime le fichier /modules/watermark/watermark.gif (afin que mon fichier filigrane ne soit pas écrasé)
  • Je supprime les fichiers homepage_logo.jpg du répertoire /modules/editorial
  • J’uploade toute cette arborescence sur mon FTP
  • Je lance et je suis la procédure classique
  • Je supprime le répertoire /install
  • Je régénère mon .htaccess et mon sitemap.xml via le back-office
[/list]

En suivant cette procédure, vous devriez avoir mis à jour votre boutique rapidement, sans écraser vos anciennes données ni y inclure les données de démonstration (images des produits de la boutique PrestaShop de base).

N’hésitez pas à partager vos expériences de mise à jour en laissant un commentaire !

[message_box title=”Attention” color=”red”]Cette procédure ne fonctionne pas si vous désirez mettre à jour votre site en version 1.5.
Il vous faudra dans ce cas utiliser la procédure “officielle”, c’est à dire installer et utiliser le module autoupgrade qui vous permettra de faire la mise à jour automatiquement depuis votre back-office.

[/message_box]

Voir aussi

Génération de références pour PrestaShop

Si pour des raisons de logistique, vous devez utiliser des références produits pour votre catalogue …

61 commentaires

  1. Simple, efficace et logique!

    En fait, à chaque MAJ, je dézippais, puis j’uploadais la totalité des fichiers et je terminais la MAJ en supprimant les fichiers inutiles (comme les images Apple) par FTP.

    Je fais des mises a jours depuis la version 1.2 (donc cela en fait tout de même quelques unes!) et curieusement il ne m’est jamais venu à l’esprit de supprimer tous ces fichiers inutiles AVANT de les uploader sur le serveur 😛

    Merci pour l’astuce.

    • moi j’ai actuellement une petite douzaine (ou quinzaine !) de sites que je mets à jour à chaque fois, certains depuis la version 1.1, et j’en ai rapidement eu marre de perdre mon éditorial, ou de voir réapparaître les photos d’Apple, donc à chaque nouvelle release, je dézippe, et je me constitue un répertoire “version 1.x – upgrade”.
      Content que ça puisse te servir également !

  2. Merci Johann pour ce petit tuto, très clair et rapide à mettre en oeuvre, super.

  3. merci, c’est fait… pour les image suffit de virer le dossier “img” des uploads… non ?

    • En théorie, oui. Mais si des nouvelles images sont apparues (notamment dans le backoffice, les onglets, etc…), tu risques d’oublier d’uploader les nouvelles images.

  4. Plusieurs questions. Merci pour ce tuto. Je débute sur Presta et là il y a une version nouvelle 1.4.8.2. Je vien juste de terminer l’install de la version d’avant. On upload où la nouvelle version sur notre FTP après avoir retiré les fichiers. Dans le dossier WWW, on va se retrouver avec tout en double à la racine ? Est ce que lorsqu’on lance l’install il enlève tous les doublons ? Et où dans le BO peut on régénérer le sitemap.XML ? Merci en attandant quelques éclaircissements.

  5. Bonjour a tous ,

    Merci pour le tuto vraiment rapide pour la mise a jour de la boutique en V 1.4.8.2.

    Bonne suite a tous et encore merci

    Pcamille

  6. Bonjour, donc a l’étape “J’uploade toute cette arborescence sur mon FTP”, ça veux dire qu’on écrase tous les fichiers et dossiers present sur le ftp?

    Merci pour vos astuces 🙂

    Cordialement.

  7. Salut,

    Est ce que tu pourrais me donner quelques informations stp. tout comme “mongin” je débute avec prestashop. Je me servais jusqu’à présent du module “autoupgrade” qui fonctionnait plutôt bien mais j’ai eu un gros pb. Pour résumer j’étais en version 1.4.8.2 j’ai voulu faire un autoupgrade ça a planté et ma version est passée en 1.4.7.3, j’ai pas vrm compris là…
    Egalement je n’ai absolument aucune idée de comment générer les fichiers .htacces et sitemaps.xml sia le back office.. Pourrais tu m’aider stp ?

    Je te remercie.
    Fred

    • Bonjour,
      Moi je n’utilise jamais l’auto-upgrade, qui n’a jamais marché sur mes sites, raison pour laquelle j’ai détaillé la procédure que j’utilise, et qui a encore très bien fonctionné pour migrer en 1.4.9.0

      Pour regénérer le .htaccess, il faut d’abord avoir un fichier .htaccess (vide) à la racine, avec les droits en écriture, puis le regénérer depuis le backoffice avec Outils, Générateurs

      Le sitemap.xml, c’est dans Modules, Référencement – SEO, Google Sitemap

      • Merci bcp pour ta réponse rapide.
        J’ai résussi la mise à jour en suivant tes instructions à la lettre ça a très bien fonctionné mais j’ai fait une bétise.

        J’ai mis l’ancien fichier .htacces et je l’ai régénéré ensuite par le back office résultat mon back office est innacessible et mon site indique ce message : Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /homez.483/planetsa/www/index.php on line 29

        J’ai essayé en mettant un fichier .htacces vide à la place mais j’ai le même problème…

        Pourrais tu m’aider stp je sais plus quoi faire la 🙁

  8. J’ai pu réactiver ma boutique en mettant juste SetEnv PHP_VER 5 dans un fichier .htacces vierge, j’ai besoin de régénérer à ton avis ?

  9. oui, tu regénères, mais en mettant ton SetEnv PHP_VER 5 dans la partie “Configuration spécifique” avant de regénerer, comme ça, ça sera inclus directement dans le fichier généré par PS 🙂

  10. Impossible de trouver ça Modules, Référencement – SEO, Google Sitemap

    J’ai pas ça dans les modules j’ai SEO&url dans préférences mais pas google sitemap

  11. Régénération du fichier .htacces OK Mise à jour réussie ! Ouf heureusement que t’es la ! ^^
    Reste plus que le sitemap et après c’est promis je t’embète plus lol

  12. Je cherchais dans le back office !! Oui oui suis très c…
    Je viens de regarder dans l’arborescence effectivement je trouve bien le chemin mais je n’est pas sitemaps.xml dans le répertoire, est ce que je dois le créer ?
    Si c’est le cas que dois je mettre dedans ?

    Merci encore pour ton aide précieuse !

  13. Merci pour toutes les infos que tu m’as donné, pour le sitemap j’ai laissé tombé je m’en sortait pas mais en tout cas mon site à été mis à jour avec la dernière version très facilement grace à ton tuto !

    Question annexe est ce que par hasard tu t’occupes de référencement ?

  14. Pour le fichier stemap.xml il faut aller dans Modules / Google Sitemap et configuer

    Ca pourra servir à d’autre 😉

  15. Bonjour,

    J’aimerai savoir si sa marche pour la version 1.5.0 ?

    Cdt

  16. Salut j’ai un ENORME problème et il est très urgent que je le règle.
    Pourrais tu m’aider stp je suis perdu la.
    Peux tu me communiquer tes coordonnées mail ou tel que je t’explique ?
    Voici le mien contact@planetsav.com

    Je te remercie

  17. bonjour,
    je cherche depuis quelques jours une solution facile pour mettre à jour mon site vers une version plus récente que l’actuelle qui est la 1.2.5.0 une version qui me convenait tres bien jusqu’à il y a quelques jours ou des petits bug sont apparus ici et là.
    la question que je me posais vu que la version est ancienne est ?
    est ce que votre solution fonctionne avec la version 1.2.5.0 vers des versions 1.4.!!! par exemple.

    merci d’avance..

    • Oui, j’ai utilisé cette méthode pour migrer même un site qui était en version 1.2.1 !
      Par contre, indépendamment de la méthode, il a fallu rebidouiller quelques petits trucs à la main ensuite (de mémoire, il manquait des onglets dans le backoffice)

  18. merci beaucoup pour cette réponse ultra rapide
    je vais donc bien étudier la méthode et faire la mise à jour dans les prochains jours.
    si j’ai un problème je me permettrais de revenir vers vous pour quelques conseils avisés.

    encore merci
    cordialement.

  19. Merci pour ce petit tutorial.
    J’ai effectué pas à pas le tout. Facile.
    Ensuite, on lance l’install normal.
    Et que fait-on en ce qui concerne la création de DB?
    Je ne peux choisir mise à jour car le système ne trouve pas de version antérieur (pourtant 1.4.7)
    Je choisis donc de créer une nouvelle DB (en me disant qu’il me suffira de modifier le fichier settings.inc.php par la suite.
    Et bien ce n’est pas le cas puisque je ne parviens plus à m’identifier dans la page login de la boutique.
    Une idée?

    Pour info, la manip est faite en local. Je ne touche pas à la boutique on-line tant que je n’ai pas de résultats probants.

    • Bjr,

      Si tu choisis “nouvelle installation”, c’est normal que tu n’arrives plus à te connecter, car les infos de cryptage ont changé dans le setting.inc.php qui a été généré. Tu peux essayer éventuellement en y copiant les lignes de ton ancien fichier config.inc.php

      Mais surtout, si l’installateur n’a pas repéré d’ancienne version, c’est que tu as uploadé (ou copié, en local) l’arborescence au mauvais endroit. Il faut purement et simplement écraser ce qui existait déjà, genre c:/wamp/www/monsite

  20. Bonjour,
    Merci pour cette réponse rapide.
    J’ai recopier les ligne ‘COOKIE_KEY et COOKIE_IV du fichier settings.inc.php et j’ai pu me logger sur la boutique. Tout semble là.
    Bizarre car j’ai vraiment écrasé tous les fichiers comme indiqué.
    Enfin, ça marche. Je recommencerai une autre fois pour voir où je me suis planter.
    Un tout grand merci.

  21. Quelqu’un à déjà eu ce message lors de la tentative de migration en version 1.5.2 ??
    Je suis à la base en version 1.4.9.
    Avant de faire des bétises je teste en local avec wamp.
    Au moment de mettre les infos de la BDD que j’ai précédemment réinjectée dans PhpMyAdmin j’ai ce message d’erreur :
    “Au moins une table avec le même préfixe a été trouvée, merci de changer votre préfixe ou de supprimer vos tables existantes”

    Si je change de préfixe je perds toute ma base le site est vierge…

    Une idée ?

    • Es-tu sûr de bien faire une mise à jour ? Car c’est typiquement l’erreur que tu obtiens quand tu veux installer PS sur une base déjà existante.
      Pour faire réellement une mise à jour, il faut que dans ton fichier /config/settings.inc.php il y a ait déjà un numéro de version de PS. Sinon, il fera une nouvelle installation. Et comme les anciennes tables existent déjà dans ta base, il ne peut les re-créer.

  22. Merci pour ta réponse rapide,

    En fait j’ai procédé de cette manière :
    1- Desactivation de la boutique
    2- Récupération de toute l’arborescence par FTP (version 1.4.9)
    3- Je dezippe la dernière version 1.5.2 dans un nouveau dossier
    4- Je suis à la lettre toute ta procédure

    Et là ça bloque.
    Je me suis connecté à PhpMyAdmin j’ai viré toutes les tables, j’ai importé les miennes précédemment sauvegardées tout c’est bien passé…enfin presque

    Maintenant impossible de me loguer et le site n’apparait même plus… heureusement que je teste en local 🙁

    Je sais pas dans quels fichiers sont stockés les logs 🙁

    Voici le contenu de mon fichier settings.inc.php :
    <?php
    define('_DB_SERVER_', 'localhost');
    define('_DB_NAME_', 'prestabase');
    define('_DB_USER_', 'root');
    define('_DB_PASSWD_', '');
    define('_DB_PREFIX_', 'pss_');
    define('_MYSQL_ENGINE_', 'MyISAM');
    define('_PS_CACHING_SYSTEM_', 'CacheMemcache');
    define('_PS_CACHE_ENABLED_', '0');
    define('_MEDIA_SERVER_1_', '');
    define('_MEDIA_SERVER_2_', '');
    define('_MEDIA_SERVER_3_', '');
    define('_COOKIE_KEY_', 'xxxxxxxxxxxxxxxxxx');
    define('_COOKIE_IV_', 'xxxxxxxxxxx');
    define('_PS_CREATION_DATE_', '2012-11-18');
    define('_PS_VERSION_', '1.5.2.0');
    define('_RIJNDAEL_KEY_', 'xxxxxxxxxxxxxxxxxxxx');
    define('_RIJNDAEL_IV_', 'xxxxxxxxxxxxxxxxxxx');

  23. Pour la base oui effectivement elle existe déjà mais je l’utilise en prod avec mon site ça devrait pas me poser pb pour tester en local normalement non ?

  24. Fred, j’ai masqué tes clefs ! Je constate par contre que tu as dedans un PS_VERSION à 1.5.2.0, donc tu ne peux pas faire de mise à jour dans ce cas là !

    Depuis mon tuto de mise à jour manuelle (qui était surtout destiné aux versions 1.1 à 1.4), PS a sorti un guide de mise à jour manuelle vers la 1.5 :

    http://doc.prestashop.com/pages/viewpage.action?pageId=11272350

    Tu t’en sortiras peut etre mieux avec cette manière “officielle”

    • Merci pour les clefs ! Je savais pas que c’était “sensible” désolé.

      J’ai déjà testé la méthode “officielle” j’ai une erreur 28 à la fin…

      28 Vous utilisez déjà la version cible. / Incompréhensible….
      En passant par le module autoupgrade ça fonctionne j’ai juste le thème que je dois reselectionner par la suite dans le back office mais pleins de choses sont à modifier…
      Le produits phares sont tous décalés, le bloc réassurance par dans tous les sens etc…

      Est ce qu’il existe un moyen simple d’injecter le thème d’origine de la version 1.5.2 ?

      Merci Johann

  25. Bonjour,

    tout d’abord merci pour ton tuto de mise a jour.
    J’ai effectué une mise a jour de 1.4.6.2 vers 1.4.9 en suivant ta méthode en local mais je me retrouve avec 16 erreur sql. malgré cela le site semble fonctionner parfaitement mais je nose pas me lancé sur la boutique en prod
    pourrais tu me dire comment corriger ces erreur sql ?

    voila le rapport d’erreur

    SET NAMES ‘utf8’

    /* PHP:category_product_index_unique(); */

    CREATE TABLE IF NOT EXISTS `pss_order_tax` ( `id_order` int(11) NOT NULL, `tax_name` varchar(40) NOT NULL, `tax_rate` decimal(6,3) NOT NULL, `amount` decimal(20,6) NOT NULL ) ENGINE=MyISAM DEFAULT CHARSET=utf8

    INSERT INTO `pss_hook` (`name`, `title`, `description`, `position`, `live_edit`) VALUES (‘frontCanonicalRedirect’, ‘Front Canonical Redirect’, ‘Check for 404 errors before canonical redirects’, 0, 0)
    (1062) Duplicate entry ‘frontCanonicalRedirect’ for key ‘hook_name’

    /* PHP:update_module_pagesnotfound(); */

    ALTER TABLE `pss_order_state` ADD COLUMN `deleted` tinyint(1) UNSIGNED NOT NULL default ‘0’ AFTER `delivery`
    (1060) Duplicate column name ‘deleted’

    SET NAMES ‘utf8’

    SET NAMES ‘utf8’

    SET NAMES ‘utf8’

    SET NAMES ‘utf8’

    ALTER TABLE `pss_feature_product` ADD INDEX `id_product`(`id_product`)
    (1061) Duplicate key name ‘id_product’

    SET NAMES ‘utf8’

    SET NAMES ‘utf8’

    SET NAMES ‘utf8’

    SET NAMES ‘utf8’

    ALTER TABLE `pss_image` ADD UNIQUE KEY `idx_product_image` (`id_image` , `id_product` , `cover`)
    (1061) Duplicate key name ‘idx_product_image’

    ALTER TABLE `pss_category_product` DROP INDEX `category_product_index`, ADD PRIMARY KEY (`id_category`, `id_product`)
    (1091) Can’t DROP ‘category_product_index’; check that column/key exists

    ALTER TABLE `pss_cms_category_lang` DROP INDEX `category_lang_index`, ADD PRIMARY KEY (`id_cms_category`, `id_lang`)
    (1091) Can’t DROP ‘category_lang_index’; check that column/key exists

    ALTER TABLE `pss_order_tax` ADD `id_order_tax` INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST
    (1060) Duplicate column name ‘id_order_tax’

    ALTER TABLE `pss_feature_lang` ADD INDEX feature_name (`id_lang`, `name`)
    (1061) Duplicate key name ‘feature_name’

    ALTER TABLE `pss_state` ADD INDEX statename (`name`)
    (1061) Duplicate key name ‘statename’

    ALTER TABLE `pss_category` ADD INDEX nleftrightactive (`nleft`, `nright`, `active`)
    (1061) Duplicate key name ‘nleftrightactive’

    ALTER TABLE `pss_category` ADD INDEX level_depth (`level_depth`)
    (1061) Duplicate key name ‘level_depth’

    ALTER TABLE `pss_category` ADD INDEX nright (`nright`)
    (1061) Duplicate key name ‘nright’

    ALTER TABLE `pss_category` ADD INDEX nleft (`nleft`)
    (1061) Duplicate key name ‘nleft’

    ALTER TABLE `pss_specific_price` ADD INDEX from_quantity (`from_quantity`)
    (1061) Duplicate key name ‘from_quantity’

    ALTER TABLE `pss_product` ADD INDEX indexed (`indexed`)
    (1061) Duplicate key name ‘indexed’

    UPDATE `pss_country` SET `zip_code_format` = ‘NNNNN’ WHERE `iso_code` = ‘MC’ LIMIT 1

    UPDATE `pss_county_zip_code` SET `to_zip_code` = `from_zip_code` WHERE `to_zip_code` = 0

    UPDATE `pss_configuration` SET `value` = 0 WHERE `name` = ‘PS_HIGH_HTML_THEME_COMPRESSION’ LIMIT 1

    INSERT INTO `pss_configuration` (`name`, `value`, `date_add`, `date_upd`)(SELECT ‘PS_TAX_DISPLAY_ALL’, `value`, NOW(), NOW() FROM `pss_configuration` WHERE name = ‘PS_TAX_DISPLAY’ LIMIT 1)
    (1062) Duplicate entry ‘PS_TAX_DISPLAY_ALL’ for key ‘name’

    DELETE FROM `pss_referrer_cache` WHERE id_referrer NOT IN (SELECT id_referrer FROM `pss_referrer`)

    /* PHP:update_module_mailalerts(); */

    /* PHP:update_module_blocklayered(); */

    d’avance merci a celui qui pourra m’aider
    cordialement

    • Bjr Stéphane, ça me semble néanmoins ok, car les erreurs sont soit des créations de choses qui existaient déjà, soit des suppressions de choses qui n’existaient pas 🙂

      • merci

        après pas mal de test je n’avais pas de soucis j’en arrivais à la même conclusion mais je préférais être avoir la confirmation
        merci encore d’avoir pris le temps de me répondre

  26. Bonjour,

    J’ai une boutique en version 1.4.8.3 et j’ai installer le module mise à jour en 1 clic. Malheureusement je n’arrive pas a mettre a jour ma boutique.

    Est ce que quelqu’un peut me donner un coup de main car je n’ai pas de budget et j’ai différents petit problèmes de type Error 502 etc etc…

    Je vous remercie par avance
    Fred.

  27. “J’uploade toute cette arborescence sur mon FTP” et au passage, donc, j’écrase les fichiers/dossiers existants, donc ? Exemple si je remplace de dossier themes je perds mon thème perso ? Idem pour le dossier modules, je perds mes modules perso. Ou alors il y a un truc qui m’échappe dans cette manip !

    Merci pour les infos !

    • Bonjour Hervé
      Quand tu parles de modules perso, si c’est des modules non-natifs à PS, ils ne seront pas perdus car pas ecrasés (je parle bien d’uploader par-dessus l’arborescence existante, pas d’effacer l’existant).
      En ce qui concerne les thèmes, si tu as modifié le thème standard, tu as de toute façon mal procédé; il aurait fallu dupliquer le thème puis modifier la copie.
      Mais dans la plupart des cas, on peut maintenant utiliser correctement la mise à jour “en 1 clic”, dispo depuis PS 1.4.5 (environ), qui ne nécessite plus de cette la mise à jour manuelle décrite dans cet article.

  28. Bonjour,

    je dois faire évoluer une installation de prestashop de la version 1.2.5 vers la 1.5.6….

    Dois je installer chaque version intermédiaire (1.3, 1.3.0, 1.3.0.1, 1.3.0.2 etc.) ou puis je passer directement de la 1.2.5 à la version 1.4.5 intermédiaire* puis en 1.5.6?

    *A partir de quelle version dois-je utiliser la procédure “officielle” (autoupgrade), la 1.4.5 ?

    Merci beaucoup de vote tuto et de votre aide.

    Thierry

  29. bonjour

    suite à de nombreuse tentatif de mis à jour du prestashop 1.4.4.0 vers 1.4.11.0
    j’ai suivit votre tuto et j’ai fait exactement comme précisé dans le tuto
    il ne reconnait pas la fonction <>
    lorsque je fait la procédure de install, il me dirige sur mon site de vente et marque page non trouvé

    pourriez vous m’aider s’il vous plait

    je vous remets mon n° de tél : 09.84.09.50.91 ou 06.43.40.87.15

    en vous remerciant d’avance pour votre aide

    TDSLILLE

  30. Bonjour,

    Merci pour ces information,

    La question que je me pose,

    Mon site à la version 1.2.5.0 doit faire les mise à jours une par une ou puis je passé de cette version à la 1.4.4 directement.

  31. Merci pour l’info

    Best regard
    Thierry

  32. Bonjour et merci pour ce tuto. Je le suis pour une màj de 1.2.5.0 à 1.4.11 avant le grand saut vers 1.6. Après copie des fichiers dans le rép j’ai lancé l’install. Ca fait 35 minutes que ça tourne. Pourtant, tous les paramètres étaient au vert. Est-ce normal docteur ?

  33. Oufti, quelle rapidité de réponse !! Merci !! Il n’y a pas de barre de progression, mais deux flèches qui tournent en rond. Bon, je peux arrêter alors et je vais recommencer.

  34. J’ai donc arrêté, supprimé le dossier install, rouvert l’admin, et la version semble bien installée, les produits etc sont là, mais pas le listing clients (alors que Adresses, Paniers et Groupes sont ok). y a-t-il une manip qui puisse corriger cela sans devoir tout recommencer ? merci

  35. Bonjour,
    Un grand merci pour votre tuto!

    Je souhaite faire une maj de la v.1.2.5 -> 1.5.4

    J’ai suivi votre méthode ci-dessus, je lance mon install je configure les parametres de la bdd mais il me met une erreur :
    “Au moins une table avec le même préfixe a été trouvée, merci de changer votre préfixe ou de supprimer vos tables existantes”

    Sauf que je désire conserver toutes mes données (clients, commande, produits etc..)

    Pouvez vous m’éclairer s’il vous plaît..??)))
    Merci beaucoup!

    Sofiane.

    • Bonjour,
      Si tu as ce message, c’est que PS part sur une nouvelle installation, pas sur une mise à jour.
      Tu as bien uploadé les fichiers de la nouvelle version en lieu et place des anciens ?

  36. Bonjour,

    Oui j’ai bien suivi votre protocole et j’ai ensuite transférer la nouvelle version avec vos changement via ftp en remplaçant tout les fichiers ayant le même nom.
    Peut être que je dois faire cela avec une version moins récente genre 1.4.5?

  37. Hello…
    je voulais te remercier Joahnn pour ta solution apportée.
    Je suis déjà passé sur ce tuto sans trop savoir que c’était CA ma solution.

    Par contre je me heurte à un message d’erreur que je ne comprends pas:

    – Après avoir fait l’upload, et lancé le 127.0.0.1prestashopinstallindex.php une page s’affiche brièvement de disant que JavaScript est nécessaire pour la suite

    – Ensuite j’ai : Je souhaite mettre à jour ma boutique PrestaShop vers une nouvelle version (Version actuellement installée détectée : v1.2.5.0)
    J’ai bien respecté les version proposées dans le tuto, à savoir 1.4.5.1 pour l’upgrade.

    – J’approuve les termes et conditions, je clique suivant, je certifie avoir bien sauvegardé ma BDD et je clique suivant à l’étape 2

    – Létape 1 est OK et l’étape 2 est OK, je vais pour cliquer suivant pour passer à l’étape 3 en vérifiant bien que tous les points de contrôle sont verts.

    Et là voilà:

    Erreur !

    Etape 1 ok
    Etape 2 ok
    Etape 3
    Etape 4

    Une ou plusieurs erreurs sont apparues, vous trouverez plus d’informations ci-dessous ou dans le fichier log/installation.log

    ajax error : parsererror

    Le truc c’est que quand je veux refaire la manip, il me dit que je suis déjà en version 1.4.5.1, c’est à dire q’uil a réécrit les fichiers LOG mais aussi d’autres que je ne connais pas qui me forcent à tout supprimer et à tout recommencer.

    Est-ce que j’ai raté quelque chose?
    (Depuis que tu m’as donné le lien vers ton tuto, je n’arrête pas d’essayer et de réessayer, en reprenant point par point pour voir si j’ai pas fait une erreur, mais je ne comprends pas)

  38. C’est une cata ce tuto, suivez plutôt la documentation officielle sur le site de prestashop.

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.